=== src/GuiQt/CMakeLists.txt ===

#
# Name of project
#
PROJECT (GuiQt)

#
# Use OpenGL from QT
#
SET(QT_USE_QTNETWORK TRUE)
SET(QT_USE_QTOPENGL TRUE)
#SET(QT_USE_QTWEBKIT TRUE)

#
# QT include files
#
INCLUDE(${QT_USE_FILE})

#
# Headers that must be processed with QT's "moc"
# Any class that derives from a QT class and contains
# the "Q_OBJECT" macro must be listed here.
#
# Also LIST each of these headers in the 
# source files section so that they show
# up in development tools such as XCode.
#
SET(MOC_INPUT_HEADER_FILES
AboutWorkbenchDialog.h
AnnotationChangeCoordinateDialog.h
AnnotationColorWidget.h
AnnotationCoordinateSelectionWidget.h
AnnotationCoordinateSpaceWidget.h
AnnotationCoordinateWidget.h
AnnotationCreateDialog.h
AnnotationDeleteWidget.h
AnnotationFontWidget.h
AnnotationFormatWidget.h
AnnotationInsertNewWidget.h
AnnotationLineArrowTipsWidget.h
AnnotationMenuArrange.h
AnnotationMenuFileSelection.h
AnnotationRedoUndoWidget.h
AnnotationRotationWidget.h
AnnotationSelectionViewController.h
AnnotationPasteDialog.h
AnnotationTextAlignmentWidget.h
AnnotationTextEditorDialog.h
AnnotationTextEditorWidget.h
AnnotationTextOrientationWidget.h
AnnotationWidthHeightWidget.h
BalsaDatabaseUploadSceneFileDialog.h
BorderEditingSelectionDialog.h
BorderFileSplitDialog.h
BorderOptimizeDialog.h
BorderPropertiesEditorDialog.h
BorderSelectionViewController.h
BrainBrowserWindow.h
BrainBrowserWindowComboBox.h
BrainBrowserWindowOrientedToolBox.h
BrainBrowserWindowToolBar.h
BrainBrowserWindowToolBarChartAttributes.h
BrainBrowserWindowToolBarChartAxes.h
BrainBrowserWindowToolBarChartType.h
BrainBrowserWindowToolBarClipping.h
BrainBrowserWindowToolBarComponent.h
BrainBrowserWindowToolBarSlicePlane.h
BrainBrowserWindowToolBarSliceSelection.h
BrainBrowserWindowToolBarSurfaceMontage.h
BrainBrowserWindowToolBarTab.h
BrainBrowserWindowToolBarVolumeMontage.h
BrainOpenGLWidget.h
BugReportDialog.h
CaretColorEnumComboBox.h
CaretColorEnumMenu.h
CaretDataFileSelectionComboBox.h
CaretFileDialog.h
CaretFileDialogExtendable.h
CaretFileRemoteDialog.h
CaretMappableDataFileAndMapSelector.h
CaretMappableDataFileAndMapSelectorObject.h
ChartHistoryViewController.h
ChartLinesSelectionViewController.h
ChartMatrixParcelSelectionViewController.h
ChartMatrixSeriesSelectionViewController.h
ChartSelectionViewController.h
ChartToolBoxViewController.h
CiftiConnectivityMatrixViewController.h
CiftiParcelSelectionComboBox.h
ClippingPlanesDialog.h
ColorEditorWidget.h
CustomViewDialog.h
DataFileContentCopyMoveDialog.h
DisplayGroupAndTabItemViewController.h
DisplayGroupEnumComboBox.h
EnumComboBoxTemplate.h
FiberOrientationSelectionViewController.h
FiberSamplesOpenGLWidget.h
FociProjectionDialog.h
FociPropertiesEditorDialog.h
FociSelectionViewController.h
GapsAndMarginsDialog.h
GiftiLabelTableEditor.h
GiftiLabelTableSelectionComboBox.h
GroupAndNameHierarchyViewController.h
GuiManager.h
HelpViewerDialog.h
HyperLinkTextBrowser.h
IdentifyBrainordinateDialog.h
ImageCaptureDialog.h
ImageSelectionViewController.h
InformationDisplayDialog.h
InformationDisplayPropertiesDialog.h
LabelSelectionViewController.h
MacApplication.h
MacDockMenu.h
MapSettingsColorBarWidget.h
MapSettingsFiberTrajectoryWidget.h
MapSettingsLabelsWidget.h
MapSettingsLayerWidget.h
MapSettingsPaletteColorMappingWidget.h
MapSettingsParcelsWidget.h
MapYokingGroupComboBox.h
MetaDataEditorDialog.h
MetaDataEditorWidget.h
MovieDialog.h
OverlaySetViewController.h
OverlaySettingsEditorDialog.h
OverlayViewController.h
PaletteColorMappingEditorDialog.h
PlotMagnifier.h
PlotPanner.h
PreferencesDialog.h
ProgressReportingDialog.h
ProgressReportingFromEvent.h
ProgressReportingWithSlots.h
RegionOfInterestCreateFromBorderDialog.h
SceneCreateReplaceDialog.h
SceneDialog.h
ScenePreviewDialog.h
SpecFileManagementDialog.h
SplashScreen.h
StructureEnumComboBox.h
StructureSurfaceSelectionControl.h
SurfacePropertiesEditorDialog.h
SurfaceSelectionViewController.h
TileTabsConfigurationDialog.h
UserInputModeAnnotationsContextMenu.h
UserInputModeAnnotationsWidget.h
UserInputModeBordersWidget.h
UserInputModeFociWidget.h
UserInputModeViewContextMenu.h
UserInputModeVolumeEditWidget.h
UsernamePasswordWidget.h
VolumeFileCreateDialog.h
VolumeSurfaceOutlineColorOrTabViewController.h
VolumeSurfaceOutlineSetViewController.h
VolumeSurfaceOutlineViewController.h
WuQCollapsibleWidget.h
WuQDataEntryDialog.h
WuQDialog.h
WuQDialogModal.h
WuQDialogNonModal.h
WuQDoubleSlider.h
WuQEventBlockingFilter.h
WuQGridLayoutGroup.h
WuQGroupBoxExclusiveWidget.h
WuQImageLabel.h
WuQListWidget.h
WuQMessageBox.h
WuQwtPlot.h
WuQSpecialIncrementDoubleSpinBox.h
WuQSpinBoxGroup.h
WuQSpinBoxOddValue.h
WuQTabWidget.h
WuQTimedMessageDisplay.h
WuQTreeWidget.h
WuQTrueFalseComboBox.h
#WuQWebView.h
WuQWidget.h
WuQWidgetObjectGroup.h
)

#
# Header files
# 
# If the header file is qt 'moc' file
# also list it in the section above
# named MOC_INPUT_HEADER_FILES
#
SET(SOURCE_FILES
AboutWorkbenchDialog.h
AnnotationChangeCoordinateDialog.h
AnnotationColorWidget.h
AnnotationCoordinateInformation.h
AnnotationCoordinateSelectionWidget.h
AnnotationCoordinateSpaceWidget.h
AnnotationCoordinateWidget.h
AnnotationCreateDialog.h
AnnotationDeleteWidget.h
AnnotationFontWidget.h
AnnotationFormatWidget.h
AnnotationInsertNewWidget.h
AnnotationLineArrowTipsWidget.h
AnnotationMenuArrange.h
AnnotationMenuFileSelection.h
AnnotationPasteDialog.h
AnnotationRedoUndoWidget.h
AnnotationRotationWidget.h
AnnotationSelectionViewController.h
AnnotationTextAlignmentWidget.h
AnnotationTextEditorDialog.h
AnnotationTextEditorWidget.h
AnnotationTextOrientationWidget.h
AnnotationWidgetParentEnum.h
AnnotationWidthHeightWidget.h
BalsaDatabaseManager.h
BalsaDatabaseUploadSceneFileDialog.h
BorderEditingSelectionDialog.h
BorderFileSplitDialog.h
BorderOptimizeDialog.h
BorderOptimizeExecutor.h
BorderPropertiesEditorDialog.h
BorderSelectionViewController.h
BrainBrowserWindow.h
BrainBrowserWindowComboBox.h
BrainBrowserWindowEditMenuItemEnum.h
BrainBrowserWindowOrientedToolBox.h
BrainBrowserWindowToolBar.h
BrainBrowserWindowToolBarChartAttributes.h
BrainBrowserWindowToolBarChartAxes.h
BrainBrowserWindowToolBarChartType.h
BrainBrowserWindowToolBarClipping.h
BrainBrowserWindowToolBarComponent.h
BrainBrowserWindowToolBarSlicePlane.h
BrainBrowserWindowToolBarSliceSelection.h
BrainBrowserWindowToolBarSurfaceMontage.h
BrainBrowserWindowToolBarTab.h
BrainBrowserWindowToolBarVolumeMontage.h
BrainOpenGLWidget.h
BugReportDialog.h
CaretColorEnumComboBox.h
CaretColorEnumMenu.h
CaretDataFileSelectionComboBox.h
CaretFileDialog.h
CaretFileDialogExtendable.h
CaretFileRemoteDialog.h
CaretMappableDataFileAndMapSelector.h
CaretMappableDataFileAndMapSelectorObject.h
ChartHistoryViewController.h
ChartLinesSelectionViewController.h
ChartMatrixParcelSelectionViewController.h
ChartMatrixSeriesSelectionViewController.h
ChartSelectionViewController.h
ChartToolBoxViewController.h
CiftiConnectivityMatrixViewController.h
CiftiParcelSelectionComboBox.h
ClippingPlanesDialog.h
ColorEditorWidget.h
CursorDisplayScoped.h
CursorEnum.h
CursorManager.h
CustomViewDialog.h
DataFileContentCopyMoveDialog.h
DisplayGroupAndTabItemTreeWidgetItem.h
DisplayGroupAndTabItemViewController.h
DisplayGroupEnumComboBox.h
EnumComboBoxTemplate.h
EventAnnotationCreateNewType.h
EventAnnotationGetDrawnInWindow.h
EventBrowserWindowContentGet.h
EventBrowserWindowCreateTabs.h
EventBrowserWindowGraphicsRedrawn.h
EventBrowserWindowNew.h
EventGetOrSetUserInputModeProcessor.h
EventGraphicsUpdateAllWindows.h
EventGraphicsUpdateOneWindow.h
EventHelpViewerDisplay.h
EventIdentificationRequest.h
EventImageCapture.h
EventMacDockMenuUpdate.h
EventOperatingSystemRequestOpenDataFile.h
EventOverlaySettingsEditorDialogRequest.h
EventPaletteColorMappingEditorDialogRequest.h
EventUpdateInformationWindows.h
EventUpdateVolumeEditingToolBar.h
EventUpdateYokedWindows.h
EventUserInterfaceUpdate.h
FiberOrientationSelectionViewController.h
FiberSamplesOpenGLWidget.h
FociProjectionDialog.h
FociPropertiesEditorDialog.h
FociSelectionViewController.h
GapsAndMarginsDialog.h
GiftiLabelTableEditor.h
GiftiLabelTableSelectionComboBox.h
GroupAndNameHierarchyTreeWidgetItem.h
GroupAndNameHierarchyViewController.h
GuiManager.h
HelpViewerDialog.h
HyperLinkTextBrowser.h
IdentifyBrainordinateDialog.h
ImageCaptureDialog.h
ImageSelectionViewController.h
InformationDisplayDialog.h
InformationDisplayPropertiesDialog.h
KeyEvent.h
LabelSelectionViewController.h
MacApplication.h
MacDockMenu.h
MapSettingsColorBarWidget.h
MapSettingsFiberTrajectoryWidget.h
MapSettingsLabelsWidget.h
MapSettingsLayerWidget.h
MapSettingsPaletteColorMappingWidget.h
MapSettingsParcelsWidget.h
MapYokingGroupComboBox.h
MetaDataEditorDialog.h
MetaDataEditorWidget.h
MouseEvent.h
MovieDialog.h
OverlaySetViewController.h
OverlaySettingsEditorDialog.h
OverlayViewController.h
PaletteColorMappingEditorDialog.h
PlotMagnifier.h
PlotPanner.h
PreferencesDialog.h
ProgressReportingDialog.h
ProgressReportingFromEvent.h
ProgressReportingWithSlots.h
QGLWidgetTextRenderer.h
RegionOfInterestCreateFromBorderDialog.h
SceneCreateReplaceDialog.h
SceneDialog.h
ScenePreviewDialog.h
SceneWindowGeometry.h
SpecFileManagementDialog.h
SplashScreen.h
StructureEnumComboBox.h
StructureSurfaceSelectionControl.h
SurfacePropertiesEditorDialog.h
SurfaceSelectionViewController.h
TileTabsConfigurationDialog.h
UserInputModeAbstract.h
UserInputModeAnnotations.h
UserInputModeAnnotationsContextMenu.h
UserInputModeAnnotationsWidget.h
UserInputModeBorders.h
UserInputModeBordersWidget.h
UserInputModeFociWidget.h
UserInputModeFoci.h
UserInputModeView.h
UserInputModeViewContextMenu.h
UserInputModeVolumeEdit.h
UserInputModeVolumeEditWidget.h
UsernamePasswordWidget.h
ViewModeEnum.h
VolumeFileCreateDialog.h
VolumeSurfaceOutlineColorOrTabViewController.h
VolumeSurfaceOutlineSetViewController.h
VolumeSurfaceOutlineViewController.h
WuQCollapsibleWidget.h
WuQDataEntryDialog.h
WuQDialog.h
WuQDialogModal.h
WuQDialogNonModal.h
WuQDoubleSlider.h
WuQEventBlockingFilter.h
WuQFactory.h
WuQGridLayoutGroup.h
WuQGroupBoxExclusiveWidget.h
WuQImageLabel.h
WuQListWidget.h
WuQMessageBox.h
WuQwtPlot.h
WuQSpecialIncrementDoubleSpinBox.h
WuQSpinBoxGroup.h
WuQSpinBoxOddValue.h
WuQTabWidget.h
WuQTimedMessageDisplay.h
WuQTreeWidget.h
WuQTrueFalseComboBox.h
#WuQWebView.h
WuQWidget.h
WuQWidgetObjectGroup.h
WuQtUtilities.h

AboutWorkbenchDialog.cxx
AnnotationChangeCoordinateDialog.cxx
AnnotationColorWidget.cxx
AnnotationCoordinateInformation.cxx
AnnotationCoordinateSelectionWidget.cxx
AnnotationCoordinateSpaceWidget.cxx
AnnotationCoordinateWidget.cxx
AnnotationCreateDialog.cxx
AnnotationDeleteWidget.cxx
AnnotationFontWidget.cxx
AnnotationFormatWidget.cxx
AnnotationInsertNewWidget.cxx
AnnotationLineArrowTipsWidget.cxx
AnnotationMenuArrange.cxx
AnnotationMenuFileSelection.cxx
AnnotationPasteDialog.cxx
AnnotationRedoUndoWidget.cxx
AnnotationRotationWidget.cxx
AnnotationSelectionViewController.cxx
AnnotationTextAlignmentWidget.cxx
AnnotationTextEditorDialog.cxx
AnnotationTextEditorWidget.cxx
AnnotationTextOrientationWidget.cxx
AnnotationWidgetParentEnum.cxx
AnnotationWidthHeightWidget.cxx
BalsaDatabaseManager.cxx
BalsaDatabaseUploadSceneFileDialog.cxx
BorderEditingSelectionDialog.cxx
BorderFileSplitDialog.cxx
BorderOptimizeDialog.cxx
BorderOptimizeExecutor.cxx
BorderPropertiesEditorDialog.cxx
BorderSelectionViewController.cxx
BrainBrowserWindow.cxx
BrainBrowserWindowComboBox.cxx
BrainBrowserWindowEditMenuItemEnum.cxx
BrainBrowserWindowOrientedToolBox.cxx
BrainBrowserWindowToolBar.cxx
BrainBrowserWindowToolBarChartAttributes.cxx
BrainBrowserWindowToolBarChartAxes.cxx
BrainBrowserWindowToolBarChartType.cxx
BrainBrowserWindowToolBarClipping.cxx
BrainBrowserWindowToolBarComponent.cxx
BrainBrowserWindowToolBarSlicePlane.cxx
BrainBrowserWindowToolBarSliceSelection.cxx
BrainBrowserWindowToolBarSurfaceMontage.cxx
BrainBrowserWindowToolBarTab.cxx
BrainBrowserWindowToolBarVolumeMontage.cxx
BrainOpenGLWidget.cxx
BugReportDialog.cxx
CaretColorEnumComboBox.cxx
CaretColorEnumMenu.cxx
CaretDataFileSelectionComboBox.cxx
