=== debian/changelog ===
connectome-workbench (1.2.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Jul 2016 22:09:39 -0400
