## connectome-workbench 1.2.3

=== src/CommandLine/CMakeLists.txt ===
--- 
+++ 
@@ -80,6 +80,7 @@
 ${LIBS})
 
 INSTALL(TARGETS ${EXE_NAME} DESTINATION bin)
+INSTALL(PROGRAMS wb_shortcuts DESTINATION bin)
 
 #
 # Find Headers
