=== debian/changelog ===
connectome-workbench (1.2.3-2) unstable; urgency=medium

  * debian/patches/deb_dynamic_GLU
    - to list .so ahead of .a to provide dynamic linking against GLU and co
      which avoids preferring static linking for those libs (Closes: #837403)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Sep 2016 20:21:31 -0400

connectome-workbench (1.2.3-1) unstable; urgency=medium

  * Fresh upstream minor/bugfix release
  * debian/copyright + debian/patches/up_debian_copyright
    - updated (upstream helps to maintain it, need to feed back the changes)
  * debian/control - detabified Build-Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 27 Aug 2016 12:42:19 -0400
