=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                libosmesa6-dev,
                libqt4-dev,
                libqtwebkit-dev,
-			   libssl-dev, zlib1g-dev,
-			   libqt4-opengl-dev | libqt4-dev (<< 4.4.0),
-			   libglib2.0-dev,
-			   xauth, xvfb,
+               libssl-dev, zlib1g-dev,
+               libqt4-opengl-dev | libqt4-dev (<< 4.4.0),
+               libglib2.0-dev,
+               xauth, xvfb,
                libftgl-dev,
 Standards-Version: 3.9.8
 Homepage: http://www.nitrc.org/projects/workbench/
